// This file is generated by kconfig_compiler from kuser.kcfg.
// All changes you do to this file will be lost.

#include "kuserprefs.h"

#include <klocale.h>

#include <qfile.h>
#include <kapplication.h>
#include <config.h>
KUserPrefsBase::KUserPrefsBase(  KSharedConfig::Ptr config,  const QString & connection )
  : KConfigSkeleton( config )
  , mParamconnection(connection)
{
  setCurrentGroup( QString::fromLatin1( "general" ) );

  KConfigSkeleton::ItemString  *itemconnection;
  itemconnection = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "connection" ), mConnection, QString::fromLatin1( "default" ) );
  itemconnection->setLabel( i18n("Default connection") );
  addItem( itemconnection, QString::fromLatin1( "connection" ) );
  KConfigSkeleton::ItemBool  *itemshowsys;
  itemshowsys = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "showsys" ), mShowsys, true );
  itemshowsys->setLabel( i18n("Show system users") );
  addItem( itemshowsys, QString::fromLatin1( "showsys" ) );

  setCurrentGroup( QString::fromLatin1( "connection-%1" ).arg( mParamconnection ) );

  QValueList<KConfigSkeleton::ItemEnum::Choice> valuessource;
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "Files" );
    valuessource.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "LDAP" );
    valuessource.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "System" );
    valuessource.append( choice );
  }
  KConfigSkeleton::ItemEnum  *itemsource;
  itemsource = new KConfigSkeleton::ItemEnum( currentGroup(), QString::fromLatin1( "source" ), mSource, valuessource, EnumSource::Files );
  itemsource->setLabel( i18n("The source of the user and group database") );
  itemsource->setWhatsThis( i18n("This option allows you to select where the user/group data stored. Currently three storage backends are supported. <BR><B>Files</B> stores user/group data in traditional /etc/passwd and /etc/group flat files. <BR><B>LDAP</B> stores data in a directory server using the posixAccount and posixGroup object classes; this backend allows the management of Samba users/groups via the sambaSamAccount object class.<BR><B>System</B> provides a read-only access to all users and groups which your installation knows about.") );
  addItem( itemsource, QString::fromLatin1( "source" ) );
  KConfigSkeleton::ItemString  *itemshell;
  itemshell = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "shell" ), mShell );
  itemshell->setLabel( i18n("Shell") );
  itemshell->setWhatsThis( i18n("This option allows you to select the shell which will be the default for new users.") );
  addItem( itemshell, QString::fromLatin1( "shell" ) );
  KConfigSkeleton::ItemString  *itemhomepath;
  itemhomepath = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "homepath" ), mHomepath, QFile::decodeName(KU_HOMETEMPLATE) );
  itemhomepath->setLabel( i18n("Home path template") );
  itemhomepath->setWhatsThis( i18n("This option specifies the UNIX home path template for new users. The '%U' macro will replaced with the actual user name.") );
  addItem( itemhomepath, QString::fromLatin1( "homepath" ) );
  KConfigSkeleton::ItemInt  *itemfirstUID;
  itemfirstUID = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "firstUID" ), mFirstUID, KU_FIRSTUID );
  itemfirstUID->setLabel( i18n("First UID") );
  itemfirstUID->setWhatsThis( i18n("This options specifies the first user ID where searching for an available UID starts.") );
  addItem( itemfirstUID, QString::fromLatin1( "firstUID" ) );
  KConfigSkeleton::ItemInt  *itemfirstGID;
  itemfirstGID = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "firstGID" ), mFirstGID, KU_FIRSTGID );
  itemfirstGID->setLabel( i18n("First GID") );
  itemfirstGID->setWhatsThis( i18n("This options specifies the first group ID where searching for an available GID starts.") );
  addItem( itemfirstGID, QString::fromLatin1( "firstGID" ) );
  KConfigSkeleton::ItemBool  *itemcreateHomeDir;
  itemcreateHomeDir = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "createHomeDir" ), mCreateHomeDir, true );
  itemcreateHomeDir->setLabel( i18n("Create home folder") );
  itemcreateHomeDir->setWhatsThis( i18n("If this option is checked then a home directory will created for the new user.") );
  addItem( itemcreateHomeDir, QString::fromLatin1( "createHomeDir" ) );
  KConfigSkeleton::ItemBool  *itemcopySkel;
  itemcopySkel = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "copySkel" ), mCopySkel, true );
  itemcopySkel->setLabel( i18n("Copy skeleton to home folder") );
  itemcopySkel->setWhatsThis( i18n("If this option is checked then the contents of the skeleton folder will copied to the new user's home directory") );
  addItem( itemcopySkel, QString::fromLatin1( "copySkel" ) );
  KConfigSkeleton::ItemBool  *itemuserPrivateGroup;
  itemuserPrivateGroup = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "userPrivateGroup" ), mUserPrivateGroup, KU_USERPRIVATEGROUP );
  itemuserPrivateGroup->setLabel( i18n("User private groups") );
  itemuserPrivateGroup->setWhatsThis( i18n("If this option is enabled, new user creation will create a private group named as the user, and the primary group of the user will assigned to this private group.") );
  addItem( itemuserPrivateGroup, QString::fromLatin1( "userPrivateGroup" ) );
  KConfigSkeleton::ItemInt  *itemdefaultgroup;
  itemdefaultgroup = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "defaultgroup" ), mDefaultgroup, 100 );
  itemdefaultgroup->setLabel( i18n("Default primary group") );
  itemdefaultgroup->setWhatsThis( i18n("This is the default primary group which will be assigned to a newly created user.") );
  addItem( itemdefaultgroup, QString::fromLatin1( "defaultgroup" ) );
  KConfigSkeleton::ItemInt  *itemsmin;
  itemsmin = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "smin" ), mSmin, 0 );
  itemsmin->setLabel( i18n("smin") );
  addItem( itemsmin, QString::fromLatin1( "smin" ) );
  KConfigSkeleton::ItemInt  *itemsmax;
  itemsmax = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "smax" ), mSmax, -1 );
  itemsmax->setLabel( i18n("smax") );
  addItem( itemsmax, QString::fromLatin1( "smax" ) );
  KConfigSkeleton::ItemInt  *itemswarn;
  itemswarn = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "swarn" ), mSwarn, -1 );
  itemswarn->setLabel( i18n("swarn") );
  addItem( itemswarn, QString::fromLatin1( "swarn" ) );
  KConfigSkeleton::ItemInt  *itemsinact;
  itemsinact = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "sinact" ), mSinact, -1 );
  itemsinact->setLabel( i18n("sinact") );
  addItem( itemsinact, QString::fromLatin1( "sinact" ) );
  KConfigSkeleton::ItemDateTime  *itemsexpire;
  itemsexpire = new KConfigSkeleton::ItemDateTime( currentGroup(), QString::fromLatin1( "sexpire" ), mSexpire, QDateTime(QDate(1970,1,1)) );
  itemsexpire->setLabel( i18n("sexpire") );
  itemsexpire->setWhatsThis( i18n("This setting is for specifying a date when user accounts will expire.") );
  addItem( itemsexpire, QString::fromLatin1( "sexpire" ) );
  KConfigSkeleton::ItemBool  *itemsneverexpire;
  itemsneverexpire = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "sneverexpire" ), mSneverexpire, true );
  itemsneverexpire->setLabel( i18n("sneverexpire") );
  itemsneverexpire->setWhatsThis( i18n("Check this if you want to user accounts never expire.") );
  addItem( itemsneverexpire, QString::fromLatin1( "sneverexpire" ) );
  KConfigSkeleton::ItemString  *itempasswdsrc;
  itempasswdsrc = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "passwdsrc" ), mPasswdsrc, QString::fromLatin1( "/etc/passwd" ) );
  itempasswdsrc->setLabel( i18n("Password file") );
  itempasswdsrc->setWhatsThis( i18n("This specifies the users database file (usually /etc/passwd).") );
  addItem( itempasswdsrc, QString::fromLatin1( "passwdsrc" ) );
  KConfigSkeleton::ItemString  *itemgroupsrc;
  itemgroupsrc = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "groupsrc" ), mGroupsrc, QString::fromLatin1( "/etc/group" ) );
  itemgroupsrc->setLabel( i18n("Group file") );
  itemgroupsrc->setWhatsThis( i18n("This specifies the groups database file (usually /etc/group).") );
  addItem( itemgroupsrc, QString::fromLatin1( "groupsrc" ) );
  KConfigSkeleton::ItemBool  *itemmd5shadow;
  itemmd5shadow = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "md5shadow" ), mMd5shadow );
  itemmd5shadow->setLabel( i18n("MD5 Shadow passwords") );
  itemmd5shadow->setWhatsThis( i18n("Check this if you want the passwords in the shadow file MD5 hashed. Leave this unchecked if DES encryption should be used.") );
  addItem( itemmd5shadow, QString::fromLatin1( "md5shadow" ) );
  KConfigSkeleton::ItemString  *itemshadowsrc;
  itemshadowsrc = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "shadowsrc" ), mShadowsrc, QString::fromLatin1( "/etc/shadow" ) );
  itemshadowsrc->setLabel( i18n("Shadow password file") );
  itemshadowsrc->setWhatsThis( i18n("Specifies the shadow password file (usually /etc/shadow). Leave this empty if your system does not use a shadow password file.") );
  addItem( itemshadowsrc, QString::fromLatin1( "shadowsrc" ) );
  KConfigSkeleton::ItemString  *itemgshadowsrc;
  itemgshadowsrc = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "gshadowsrc" ), mGshadowsrc, QString::fromLatin1( "/etc/gshadow" ) );
  itemgshadowsrc->setLabel( i18n("Group shadow file") );
  itemgshadowsrc->setWhatsThis( i18n("Specifies the shadow group file (usually /etc/gshadow). Leave this empty if your system does not use a shadow group file.") );
  addItem( itemgshadowsrc, QString::fromLatin1( "gshadowsrc" ) );
  KConfigSkeleton::ItemString  *itemnispasswdsrc;
  itemnispasswdsrc = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "nispasswdsrc" ), mNispasswdsrc );
  itemnispasswdsrc->setLabel( i18n("NIS password source") );
  addItem( itemnispasswdsrc, QString::fromLatin1( "nispasswdsrc" ) );
  KConfigSkeleton::ItemInt  *itemnisminuid;
  itemnisminuid = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "nisminuid" ), mNisminuid );
  itemnisminuid->setLabel( i18n("NIS minimum UID") );
  addItem( itemnisminuid, QString::fromLatin1( "nisminuid" ) );
  KConfigSkeleton::ItemString  *itemnisgroupsrc;
  itemnisgroupsrc = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "nisgroupsrc" ), mNisgroupsrc );
  itemnisgroupsrc->setLabel( i18n("NIS group source") );
  addItem( itemnisgroupsrc, QString::fromLatin1( "nisgroupsrc" ) );
  KConfigSkeleton::ItemInt  *itemnismingid;
  itemnismingid = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "nismingid" ), mNismingid );
  itemnismingid->setLabel( i18n("NIS minimum GID") );
  addItem( itemnismingid, QString::fromLatin1( "nismingid" ) );
  KConfigSkeleton::ItemString  *itemldapuser;
  itemldapuser = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapuser" ), mLdapuser );
  itemldapuser->setLabel( i18n("LDAP User") );
  addItem( itemldapuser, QString::fromLatin1( "ldapuser" ) );
  KConfigSkeleton::ItemPassword  *itemldappassword;
  itemldappassword = new KConfigSkeleton::ItemPassword( currentGroup(), QString::fromLatin1( "ldappassword" ), mLdappassword );
  itemldappassword->setLabel( i18n("LDAP Password") );
  addItem( itemldappassword, QString::fromLatin1( "ldappassword" ) );
  KConfigSkeleton::ItemString  *itemldaprealm;
  itemldaprealm = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldaprealm" ), mLdaprealm );
  itemldaprealm->setLabel( i18n("LDAP SASL Realm") );
  addItem( itemldaprealm, QString::fromLatin1( "ldaprealm" ) );
  KConfigSkeleton::ItemString  *itemldapbinddn;
  itemldapbinddn = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapbinddn" ), mLdapbinddn );
  itemldapbinddn->setLabel( i18n("LDAP Bind DN") );
  addItem( itemldapbinddn, QString::fromLatin1( "ldapbinddn" ) );
  KConfigSkeleton::ItemString  *itemldaphost;
  itemldaphost = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldaphost" ), mLdaphost );
  itemldaphost->setLabel( i18n("LDAP Host") );
  addItem( itemldaphost, QString::fromLatin1( "ldaphost" ) );
  KConfigSkeleton::ItemInt  *itemldapport;
  itemldapport = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "ldapport" ), mLdapport, 389 );
  itemldapport->setLabel( i18n("LDAP Port") );
  addItem( itemldapport, QString::fromLatin1( "ldapport" ) );
  KConfigSkeleton::ItemInt  *itemldapver;
  itemldapver = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "ldapver" ), mLdapver, 3 );
  itemldapver->setLabel( i18n("LDAP version") );
  addItem( itemldapver, QString::fromLatin1( "ldapver" ) );
  KConfigSkeleton::ItemInt  *itemldapsizelimit;
  itemldapsizelimit = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "ldapsizelimit" ), mLdapsizelimit, 0 );
  itemldapsizelimit->setLabel( i18n("LDAP Size limit") );
  addItem( itemldapsizelimit, QString::fromLatin1( "ldapsizelimit" ) );
  KConfigSkeleton::ItemInt  *itemldaptimelimit;
  itemldaptimelimit = new KConfigSkeleton::ItemInt( currentGroup(), QString::fromLatin1( "ldaptimelimit" ), mLdaptimelimit, 0 );
  itemldaptimelimit->setLabel( i18n("LDAP Time limit") );
  addItem( itemldaptimelimit, QString::fromLatin1( "ldaptimelimit" ) );
  KConfigSkeleton::ItemString  *itemldapdn;
  itemldapdn = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapdn" ), mLdapdn );
  itemldapdn->setLabel( i18n("LDAP Base DN") );
  addItem( itemldapdn, QString::fromLatin1( "ldapdn" ) );
  KConfigSkeleton::ItemString  *itemldapfilter;
  itemldapfilter = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapfilter" ), mLdapfilter );
  itemldapfilter->setLabel( i18n("LDAP Filter") );
  addItem( itemldapfilter, QString::fromLatin1( "ldapfilter" ) );
  KConfigSkeleton::ItemBool  *itemldapnosec;
  itemldapnosec = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapnosec" ), mLdapnosec, false );
  itemldapnosec->setLabel( i18n("LDAP no encryption") );
  addItem( itemldapnosec, QString::fromLatin1( "ldapnosec" ) );
  KConfigSkeleton::ItemBool  *itemldaptls;
  itemldaptls = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldaptls" ), mLdaptls, true );
  itemldaptls->setLabel( i18n("LDAP TLS") );
  addItem( itemldaptls, QString::fromLatin1( "ldaptls" ) );
  KConfigSkeleton::ItemBool  *itemldapssl;
  itemldapssl = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapssl" ), mLdapssl, false );
  itemldapssl->setLabel( i18n("LDAP SSL") );
  addItem( itemldapssl, QString::fromLatin1( "ldapssl" ) );
  KConfigSkeleton::ItemBool  *itemldapanon;
  itemldapanon = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapanon" ), mLdapanon, false );
  itemldapanon->setLabel( i18n("LDAP Anonymous") );
  addItem( itemldapanon, QString::fromLatin1( "ldapanon" ) );
  KConfigSkeleton::ItemBool  *itemldapsimple;
  itemldapsimple = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapsimple" ), mLdapsimple, true );
  itemldapsimple->setLabel( i18n("LDAP Simple auth") );
  addItem( itemldapsimple, QString::fromLatin1( "ldapsimple" ) );
  KConfigSkeleton::ItemBool  *itemldapsasl;
  itemldapsasl = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapsasl" ), mLdapsasl, false );
  itemldapsasl->setLabel( i18n("LDAP SASL auth") );
  addItem( itemldapsasl, QString::fromLatin1( "ldapsasl" ) );
  KConfigSkeleton::ItemString  *itemldapsaslmech;
  itemldapsaslmech = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapsaslmech" ), mLdapsaslmech, QString::fromLatin1( "LOGIN" ) );
  itemldapsaslmech->setLabel( i18n("LDAP SASL mechanism") );
  addItem( itemldapsaslmech, QString::fromLatin1( "ldapsaslmech" ) );
  KConfigSkeleton::ItemString  *itemldapuserbase;
  itemldapuserbase = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapuserbase" ), mLdapuserbase, QString::fromLatin1( "ou=People" ) );
  itemldapuserbase->setLabel( i18n("LDAP User container") );
  itemldapuserbase->setWhatsThis( i18n("This specifies where to store users' entries relative to the LDAP base DN.") );
  addItem( itemldapuserbase, QString::fromLatin1( "ldapuserbase" ) );
  KConfigSkeleton::ItemString  *itemldapuserfilter;
  itemldapuserfilter = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapuserfilter" ), mLdapuserfilter );
  itemldapuserfilter->setLabel( i18n("LDAP User filter") );
  itemldapuserfilter->setWhatsThis( i18n("This specifies the filter used for user entries.") );
  addItem( itemldapuserfilter, QString::fromLatin1( "ldapuserfilter" ) );
  KConfigSkeleton::ItemString  *itemldapgroupbase;
  itemldapgroupbase = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapgroupbase" ), mLdapgroupbase, QString::fromLatin1( "ou=Group" ) );
  itemldapgroupbase->setLabel( i18n("LDAP Group container") );
  itemldapgroupbase->setWhatsThis( i18n("This specifies where to store groups' entries relative to the LDAP base DN.") );
  addItem( itemldapgroupbase, QString::fromLatin1( "ldapgroupbase" ) );
  KConfigSkeleton::ItemString  *itemldapgroupfilter;
  itemldapgroupfilter = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "ldapgroupfilter" ), mLdapgroupfilter );
  itemldapgroupfilter->setLabel( i18n("LDAP Group filter") );
  itemldapgroupfilter->setWhatsThis( i18n("This specifies the filter used for group entries.") );
  addItem( itemldapgroupfilter, QString::fromLatin1( "ldapgroupfilter" ) );
  QValueList<KConfigSkeleton::ItemEnum::Choice> valuesldapuserrdn;
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "uid" );
    valuesldapuserrdn.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "uidNumber" );
    valuesldapuserrdn.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "cn" );
    valuesldapuserrdn.append( choice );
  }
  KConfigSkeleton::ItemEnum  *itemldapuserrdn;
  itemldapuserrdn = new KConfigSkeleton::ItemEnum( currentGroup(), QString::fromLatin1( "ldapuserrdn" ), mLdapuserrdn, valuesldapuserrdn, EnumLdapuserrdn::uid );
  itemldapuserrdn->setLabel( i18n("LDAP User RDN prefix") );
  itemldapuserrdn->setWhatsThis( i18n("This specifies what prefix will used for user entries.") );
  addItem( itemldapuserrdn, QString::fromLatin1( "ldapuserrdn" ) );
  KConfigSkeleton::ItemBool  *itemldapcnfullname;
  itemldapcnfullname = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapcnfullname" ), mLdapcnfullname, true );
  itemldapcnfullname->setLabel( i18n("Store the user's full name in the cn attribute") );
  itemldapcnfullname->setWhatsThis( i18n("Check this if the user's full name should be stored in the cn (Canonical Name) attribute.") );
  addItem( itemldapcnfullname, QString::fromLatin1( "ldapcnfullname" ) );
  KConfigSkeleton::ItemBool  *itemldapgecos;
  itemldapgecos = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapgecos" ), mLdapgecos, false );
  itemldapgecos->setLabel( i18n("Update the gecos field") );
  itemldapgecos->setWhatsThis( i18n("Check this if the gecos attribute should be updated.") );
  addItem( itemldapgecos, QString::fromLatin1( "ldapgecos" ) );
  KConfigSkeleton::ItemBool  *itemldapshadow;
  itemldapshadow = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapshadow" ), mLdapshadow, true );
  itemldapshadow->setLabel( i18n("Manage LDAP shadowAccount objectclass") );
  itemldapshadow->setWhatsThis( i18n("Check this if the shadowAccount object should be used in the users' entries. It allows to enforce password change/expiration policies.") );
  addItem( itemldapshadow, QString::fromLatin1( "ldapshadow" ) );
  QValueList<KConfigSkeleton::ItemEnum::Choice> valuesldapstructural;
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "account" );
    valuesldapstructural.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "inetOrgPerson" );
    valuesldapstructural.append( choice );
  }
  KConfigSkeleton::ItemEnum  *itemldapstructural;
  itemldapstructural = new KConfigSkeleton::ItemEnum( currentGroup(), QString::fromLatin1( "ldapstructural" ), mLdapstructural, valuesldapstructural, EnumLdapstructural::account );
  itemldapstructural->setLabel( i18n("LDAP Structural objectclass") );
  itemldapstructural->setWhatsThis( i18n("This option allows to specify the structural objectclass used with users' entries. If you want to use these entries not just for authentication, but for an addressbook, too, then choose inetOrgPerson.") );
  addItem( itemldapstructural, QString::fromLatin1( "ldapstructural" ) );
  QValueList<KConfigSkeleton::ItemEnum::Choice> valuesldapgrouprdn;
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "cn" );
    valuesldapgrouprdn.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "gidNumber" );
    valuesldapgrouprdn.append( choice );
  }
  KConfigSkeleton::ItemEnum  *itemldapgrouprdn;
  itemldapgrouprdn = new KConfigSkeleton::ItemEnum( currentGroup(), QString::fromLatin1( "ldapgrouprdn" ), mLdapgrouprdn, valuesldapgrouprdn, EnumLdapgrouprdn::cn );
  itemldapgrouprdn->setLabel( i18n("LDAP Group RDN prefix") );
  itemldapgrouprdn->setWhatsThis( i18n("This specifies what prefix will used for group entries.") );
  addItem( itemldapgrouprdn, QString::fromLatin1( "ldapgrouprdn" ) );
  QValueList<KConfigSkeleton::ItemEnum::Choice> valuesldappasswordhash;
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "Clear" );
    valuesldappasswordhash.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "CRYPT" );
    valuesldappasswordhash.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "MD5" );
    valuesldappasswordhash.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "SMD5" );
    valuesldappasswordhash.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "SHA" );
    valuesldappasswordhash.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QString::fromLatin1( "SSHA" );
    valuesldappasswordhash.append( choice );
  }
  KConfigSkeleton::ItemEnum  *itemldappasswordhash;
  itemldappasswordhash = new KConfigSkeleton::ItemEnum( currentGroup(), QString::fromLatin1( "ldappasswordhash" ), mLdappasswordhash, valuesldappasswordhash, EnumLdappasswordhash::SSHA );
  itemldappasswordhash->setLabel( i18n("LDAP Password hash method") );
  itemldappasswordhash->setWhatsThis( i18n("This specifies the password hashing method. The most secure is SSHA.") );
  addItem( itemldappasswordhash, QString::fromLatin1( "ldappasswordhash" ) );
  KConfigSkeleton::ItemBool  *itemldapsam;
  itemldapsam = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "ldapsam" ), mLdapsam );
  itemldapsam->setLabel( i18n("Enable samba account management") );
  itemldapsam->setWhatsThis( i18n("Check this if you want to use the user/group entries in a Samba domain. KUser will create sambaSamAccount objectclass for each entry which is usable with the ldapsam passdb backend with Samba version greater than 3.0.") );
  addItem( itemldapsam, QString::fromLatin1( "ldapsam" ) );
  KConfigSkeleton::ItemString  *itemsamdomain;
  itemsamdomain = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "samdomain" ), mSamdomain );
  itemsamdomain->setLabel( i18n("Samba domain name") );
  itemsamdomain->setWhatsThis( i18n("This specifies the samba domain name.") );
  addItem( itemsamdomain, QString::fromLatin1( "samdomain" ) );
  KConfigSkeleton::ItemString  *itemsamdomsid;
  itemsamdomsid = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "samdomsid" ), mSamdomsid );
  itemsamdomsid->setLabel( i18n("Samba domain SID") );
  itemsamdomsid->setWhatsThis( i18n("This specifies the domain Security IDentifier. It is unique in a single domain. You can query the value of the domain SID with 'net getlocalsid domain_name'.") );
  addItem( itemsamdomsid, QString::fromLatin1( "samdomsid" ) );
  KConfigSkeleton::ItemString  *itemsamloginscript;
  itemsamloginscript = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "samloginscript" ), mSamloginscript );
  itemsamloginscript->setLabel( i18n("Samba login script") );
  itemsamloginscript->setWhatsThis( i18n("This specifies a name of a login script (in the `Netlogon` share) which will be executed as the user logs in to a Windows machine.") );
  addItem( itemsamloginscript, QString::fromLatin1( "samloginscript" ) );
  KConfigSkeleton::ItemString  *itemsamhomedrive;
  itemsamhomedrive = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "samhomedrive" ), mSamhomedrive );
  itemsamhomedrive->setLabel( i18n("Samba home drive") );
  itemsamhomedrive->setWhatsThis( i18n("Specifies a drive letter where the user's home directory will automatically mapped when he/she logs into a Windows machine.") );
  addItem( itemsamhomedrive, QString::fromLatin1( "samhomedrive" ) );
  KConfigSkeleton::ItemString  *itemsamprofilepath;
  itemsamprofilepath = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "samprofilepath" ), mSamprofilepath );
  itemsamprofilepath->setLabel( i18n("Samba profile path template") );
  itemsamprofilepath->setWhatsThis( i18n("This specifies the location of the roaming profile of the user. The '%U' macro will be replaced with the actual user name.") );
  addItem( itemsamprofilepath, QString::fromLatin1( "samprofilepath" ) );
  KConfigSkeleton::ItemString  *itemsamhomepath;
  itemsamhomepath = new KConfigSkeleton::ItemString( currentGroup(), QString::fromLatin1( "samhomepath" ), mSamhomepath );
  itemsamhomepath->setLabel( i18n("Samba home path template") );
  itemsamhomepath->setWhatsThis( i18n("This specifies the location of the home directory of the user. This field is meaningful only for Windows machines. The '%U' macro will be replaced with the actual user name.") );
  addItem( itemsamhomepath, QString::fromLatin1( "samhomepath" ) );
  KConfigSkeleton::ItemBool  *itemlanmanhash;
  itemlanmanhash = new KConfigSkeleton::ItemBool( currentGroup(), QString::fromLatin1( "lanmanhash" ), mLanmanhash, false );
  itemlanmanhash->setLabel( i18n("Store LanManager hashed password") );
  itemlanmanhash->setWhatsThis( i18n("Store the LanManager hashed password in the sambaLMPassword attribute. Check this if you have older clients (Win9x series and before) on your network.") );
  addItem( itemlanmanhash, QString::fromLatin1( "lanmanhash" ) );
}

KUserPrefsBase::~KUserPrefsBase()
{
}

